### Signal

# RB Encoder::completed

#### Declaration

    void
    completed (
      RBEncoder* self,
      gchar* dest_uri,
      guint64 dest_size,
      gchar* mediatype,
      gpointer error,
      gpointer user_data
    )

#### Description [src]

Emitted when the encoding process is complete, or when a fatal error has occurred. The destination file, if one exists, will be closed and flushed to disk before this signal is emitted.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`dest_uri`

  Type: `gchar*`

  Destination URI.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`dest_size`

  Type: `guint64`

  Size of the output file.

`mediatype`

  Type: `gchar*`

  Output media type.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `gpointer`

  Encoding error, or NULL if successful.

  The argument can be `NULL`.
  The data is owned by the caller of the function.